GET https://api.cryptohopper.com/v1/strategy/models

Returns the AI models available on Cryptohopper as an object keyed by model key. Pass a key as model to Generate a strategy with AI.

Needs a valid access token, but no specific scope.

Example request

curl "https://api.cryptohopper.com/v1/strategy/models" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Response

Example response (illustrative values)

{
    "data": {
        "google/gemini-2.5-flash-lite": {
            "name": "Gemini 2.5 Flash Lite",
            "credit_use": "1.00",
            "credit_start": "0.00000000",
            "provider": "openrouter",
            "context_length": "1048576",
            "status": "1"
        }
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.